30/07/10 WordPress 3.0.1 Update – “Sem permissões suficientes para acessar esta página”

Eis que hoje fui atualizar o WordPress para a versão 3.0.1 e ao tentar acessar o Painel de Administração obtenho a mensagem: “Sem permissões suficientes para acessar esta página”.

O problema já havia acontecido ao migrar da versão 2.9.2 para a 3.0 e se repetiu novamente.

A solução: acessar o site via FTP, navegar até a pasta “wp-content/languages” e então remover o arquivo pt_BR.php.

Fica aí a dica!

18/02/10 PHP: Função __(‘string’); dois underscores?!

Ao personalizar um tema para WordPress ou mesmo abrir alguns dos arquivos pertencentes ao core do sistema, você pode se deparar com a função __() [dois underscores], como em __(‘Powered by WordPress’). Além disso, você também pode encontrar essa mesma função ao usar algum framework de desenvolvimento [Zend, Kohana, Yii, etc...].

A pergunta que você deve estar fazendo, principalmente se chegou até aqui via Google, é o que essa função faz? Onde eu encontro a documentação sobre ela?

Leia o post completo…